﻿@model GarageMaster.Models.AboutSiteSection.AboutProjectModels.AboutProjectByAdminModel

@{
    ViewData["Title"] = "Index";
}

<h1>@Html.DisplayFor(model => model.Title)</h1>

<div>
    <hr />
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Content)
        </dt>
        <dd class="col-sm-10">
            @Html.Raw(Model.Content)
        </dd>
    </dl>
</div>

<div>
    @if (Model.IsCreated == false)
    {
        <a asp-area="Admin" asp-controller="AboutProject" asp-action="CreateAboutProject">
            <input type="submit" value="Create" class="btn btn-primary mt-3" />
        </a>
    }
    else
    {
        <a asp-area="Admin" asp-controller="AboutProject" asp-action="EditAboutProject" asp-route-id="@Model.Id">
            <input type="submit" value="Edit" class="btn btn-primary mt-3" />
        </a>
        <a asp-area="Admin" asp-controller="AboutProject" asp-action="AddRolesToUser" asp-route-id="@Model.Id">
            <input type="submit" value="Delete" class="btn btn-danger mt-3" />
        </a>
    }
</div>

<div>
    <a asp-area="Admin" asp-controller="Home" asp-action="Index">Back to List</a>
</div>